#pragma once
#ifdef ENABLE_BMP180
#include <SFE_BMP180.h>
#include "debug_sketch.h"

// Get Current altitude with http://fr.mygeoposition.com/
#define ALTITUDE 130
SFE_BMP180 bmp180;
int bmp180Connected = 0;

int BMP180GetTemperature(double &t);
int BMP180GetTempAndPressure(double &t, double &p);
int BMP180Setup(int sda, int scl);
bool BMP180IsConnected();

#else //ENABLE_BMP80
int BMP180GetTemperature(double &t){return 0;};
int BMP180GetTempAndPressure(double &t, double &p){return 0;};
int BMP180Setup(int , int ){SKETCH_DEBUG_PRINTLN("BMP180 is disabled at build time"); return 0;};
bool BMP180IsConnected(){return 0;};
#endif
